using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Application.Service.Inspection.DTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Inspection.Interface
{
    public interface IInspectionService
    {

        Task<PageOutput<GetDataInspectionOutDto>> GetInspectionList(GetDataInspectionDto dto);

      

        Task<Guid> AddSignRecordAsync(SignDTO signDTO);

         Task<Guid> RecordSing(SignDTO SignInfo);


        Task CompletedSign(Guid signId, IResponseOutput response);



    }
}
